%define upstream_name    AppConfig
%define	upstream_version 1.66

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:  	Perl5 modules for reading configuration
License:	GPL
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AppConfig/%{upstream_name}-%{upstream_version}.tar.bz2

%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildRequires:	perl-File-HomeDir
buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
AppConfig has a powerful but easy to use module for parsing configuration
files. It also has a simple and efficient module for parsing command line
arguments.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc README
%{perl_vendorlib}/AppConfig
%{perl_vendorlib}/AppConfig.pm
%{_mandir}/*/*


%changelog
* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.660.0-1mdv2010.0
+ Revision: 402977
- rebuild using %%perl_convert_version

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.66-3mdv2009.0
+ Revision: 223498
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.66-2mdv2008.1
+ Revision: 180365
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 07 2007 Funda Wang <fundawang@mandriva.org> 1.66-1mdv2008.0
+ Revision: 49307
- New version

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.65-1mdv2008.0
+ Revision: 46310
- update to new version 1.65

* Sun Apr 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.64-1mdv2008.0
+ Revision: 19184
-New version


* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-22 22:55:14 (101843)
- add BuildRequires: perl-File-HomeDir

* Tue Dec 19 2006 Guillaume Rousse <guillomovitch@mandriva.org>
+ 2006-12-19 12:38:41 (99352)
Import perl-AppConfig

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.63-1mdv2007.0
- new version
- spe cleanup

* Sat Apr 01 2006 Buchan Milne <bgmilne@mandriva.org> 1.56-2mdk
- Rebuild
- use mkrel

* Wed May 05 2004 Michael Scherer <misc@mandrake.org> 1.56-1mdk
- remove unused Tag
- 1.56
- rpmbuildupdate aware

